package:
  name: gnomon_package_tissueimage
  version: {{ environ.get('GIT_DESCRIBE_TAG', 'default') }}

source:
  path: ../

build:
  noarch: python
  number: {{ GIT_DESCRIBE_NUMBER }}
  preserve_egg_dir: True

requirements:
  build:
    - setuptools
    - python=3.9
  host:
    - setuptools
    - python=3.9
  run:
    - setuptools
    - python=3.9
    - gnomon=1.0
    - gnomon_package_data
    - ipython
    - nose2
    - coverage
    - matplotlib-base
    - numpy
    - pandas
    - scikit-learn
    - timagetk=3
    - ctrl
    - cellcomplex
    - visu_core
    - importlib_metadata
    - pyvista

about:
  home: https://gnomon.gitlabpages.inria.fr/gnomon/
  dev_url: https://gitlab.inria.fr/gnomon/gnomon-packages/gnomon-package-tissueimage
  license: LGPL-3.0-or-later
  license_file: LICENSE
  summary: Gnomon python plugins to represent and manipulate 3D images
